Bug 306081 - nepomuk and nepomuk2
Summary: nepomuk and nepomuk2
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: libnepomukcore (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-31 14:04 UTC by Aleix Pol
Modified: 2012-09-26 13:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleix Pol 2012-08-31 14:04:41 UTC
It's weird the separation between Nepomuk and Nepomuk2. Maybe I don't fully understand the issue, but here's a problem:

Nepomuk2/Resource and Nepomuk/Resource both have the same include guard: _NEPOMUK_RESOURCE_H_

This makes it so that if you ever mix those two (note that it can be between dependencies as well) the preprocessor will skip the file and it won't get parsed giving errors such as: unknown type Nepomuk2/Resource.

It doesn't happen like that only in Resource but other headers too.

Reproducible: Always
Comment 1 Vishesh Handa 2012-09-26 13:06:37 UTC
Git commit 20fd07596225977ea8b0514ebe555ea75824423d by Vishesh Handa.
Committed on 25/09/2012 at 12:56.
Pushed by vhanda into branch 'master'.

LibNepomukCore: Update the header guards to Nepomuk2

This way one can compile both Nepomuk1 and Nepomuk2 in the same
application.
REVIEW: 106564

M  +2    -2    libnepomukcore/misc/nepomukversion.h.cmake
M  +2    -2    libnepomukcore/misc/utils.h
M  +2    -2    libnepomukcore/nepomuk_export.h
M  +2    -2    libnepomukcore/query/andterm.h
M  +2    -2    libnepomukcore/query/andterm_p.h
M  +2    -2    libnepomukcore/query/comparisonterm.h
M  +2    -2    libnepomukcore/query/comparisonterm_p.h
M  +2    -2    libnepomukcore/query/dbusoperators_p.h
M  +2    -2    libnepomukcore/query/filequery.h
M  +2    -2    libnepomukcore/query/groupterm.h
M  +2    -2    libnepomukcore/query/groupterm_p.h
M  +2    -2    libnepomukcore/query/literalterm.h
M  +2    -2    libnepomukcore/query/literalterm_p.h
M  +2    -2    libnepomukcore/query/negationterm.h
M  +2    -2    libnepomukcore/query/negationterm_p.h
M  +2    -2    libnepomukcore/query/optionalterm.h
M  +2    -2    libnepomukcore/query/optionalterm_p.h
M  +2    -2    libnepomukcore/query/orterm.h
M  +2    -2    libnepomukcore/query/orterm_p.h
M  +2    -2    libnepomukcore/query/query.h
M  +2    -2    libnepomukcore/query/query_p.h
M  +2    -2    libnepomukcore/query/querybuilderdata_p.h
M  +2    -2    libnepomukcore/query/queryparser.h
M  +2    -2    libnepomukcore/query/queryserializer.h
M  +2    -2    libnepomukcore/query/queryserviceclient.h
M  +2    -2    libnepomukcore/query/queryserviceclient_p.h
M  +2    -2    libnepomukcore/query/resourceterm.h
M  +2    -2    libnepomukcore/query/resourceterm_p.h
M  +2    -2    libnepomukcore/query/resourcetypeterm.h
M  +2    -2    libnepomukcore/query/resourcetypeterm_p.h
M  +2    -2    libnepomukcore/query/result.h
M  +2    -2    libnepomukcore/query/simpleterm.h
M  +2    -2    libnepomukcore/query/simpleterm_p.h
M  +2    -2    libnepomukcore/query/standardqueries.h
M  +2    -2    libnepomukcore/query/term.h
M  +2    -2    libnepomukcore/query/term_p.h
M  +2    -2    libnepomukcore/query/util.h
M  +2    -2    libnepomukcore/resource/file.h
M  +2    -2    libnepomukcore/resource/nepomukmainmodel.h
M  +2    -2    libnepomukcore/resource/nepomukservice.h
M  +2    -2    libnepomukcore/resource/resource.h
M  +2    -2    libnepomukcore/resource/resourcedata.h
M  +2    -2    libnepomukcore/resource/resourcemanager.h
M  +2    -2    libnepomukcore/resource/resourcemanager_p.h
M  +2    -2    libnepomukcore/resource/tag.h
M  +2    -2    libnepomukcore/resource/tools.h
M  +2    -2    libnepomukcore/resource/variant.h
M  +2    -2    libnepomukcore/test/qtest_querytostring.h
M  +2    -2    libnepomukcore/test/queryparsertest.h
M  +2    -2    libnepomukcore/test/queryserializertest.h
M  +2    -2    libnepomukcore/test/querytest.h
M  +2    -2    libnepomukcore/types/class.h
M  +2    -2    libnepomukcore/types/class_p.h
M  +3    -3    libnepomukcore/types/entity.h
M  +2    -2    libnepomukcore/types/entity_p.h
M  +2    -2    libnepomukcore/types/entitymanager.h
M  +2    -2    libnepomukcore/types/literal.h
M  +2    -2    libnepomukcore/types/literal_p.h
M  +2    -2    libnepomukcore/types/ontology.h
M  +2    -2    libnepomukcore/types/ontology_p.h
M  +3    -3    libnepomukcore/types/property.h
M  +2    -2    libnepomukcore/types/property_p.h

http://commits.kde.org/nepomuk-core/20fd07596225977ea8b0514ebe555ea75824423d